namespace VSTO_CSOutlookTemplate
{
    using System;
    using System.Collections.Generic;
    using System.Text;
    using System.Windows.Forms;
    using Outlook = Microsoft.Office.Interop.Outlook;

    public class AutomationObject
    {
        private Outlook.Application m_application;
        private System.Collections.SortedList m_Wrapper; //Inspector wrapper
        private string m_ProgID;

        // class constructor
        public AutomationObject(ThisAddIn application, ref System.Collections.SortedList Wrapper, string ProgID)
        {
            m_application = application.Application;
            m_Wrapper = Wrapper;
            m_ProgID = ProgID;
        }

        public string ProgID()
        {
            return m_ProgID;
        }

        public string ExplCount()
        {
            string RetVal = m_application.Explorers.Count.ToString();
            return RetVal;
        }

        public System.Collections.SortedList InspectorWrapper()
        {
            return m_Wrapper;
        }

        public Outlook.Application App()
        {
            return m_application;
        }
    }
}